<!DOCTYPE html>
<!-- 
	to insert comments: Windows - ctrl + / 	
		and Mac - cmd + /

	comments are useful for proper documentation and allow us developers to understand written code better.
	 -Note: these are ignored by the browser and do not show them as text 

 -->
 <!-- <html> tag - tells the browser to read the content of the files as HTML -->
<html>
	<!-- <head> tag - contains the details of the HTML files that is not visible in the browser. -->
	<head>
		<!-- "utf-8" is common character encoding for WWW. -->
		<meta charset="utf-8">
		<!-- 
			- allow us to have responsive web page.
			- it can be view on different devices (mobile, tablet, PC)
		 -->

		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- <title> tag - sets the title of the tab shown in the browser. -->
		<title>HTML Introduction</title>
	</head>
	<!-- <body> tag - contains the actual content of the HTML file that are visible in the browser. -->
	<body>
		<!-- 
		A web page adheres to what is called a "document flow"
		This determines how an elements is to be presented.

		- Block elemet
			- Will cause a line break and occupy the full width of the web page.

		- Inline element
			-This will not cause a line break and will only take the space needed.
		 -->

		 <h1>Zuitt Coding Bootcamp</h1>
		 <!-- <h2>Zuitt Coding Bootcamp</h2>
		 <h3>Zuitt Coding Bootcamp</h3>
		 <h4>Zuitt Coding Bootcamp</h4>
		 <h5>Zuitt Coding Bootcamp</h5>
		 <h6>Zuitt Coding Bootcamp</h6> -->
		 <h3>John Doe</h3>
		 <!-- adds a horizontal rule element -->
		 <!-- single or self closing tag -->
		 <hr>

		 <!-- create a paragraph text -->

		 <p>
		 	<!-- <em> creates emphasis on text -->
		 	<!-- <em> is an inline element -->
		 		<!-- <strong> creates importance on text -->
		 	Welcome to <em>zuitt</em>!
		 	<!-- <br> tag creates a line break between text -->
		 	<br>
		 	In this online bootcamp course, you will learn a lot of things. Let's enumerate all the things that will make you a <strong>full-stack web developer</strong>.
		 </p>
		 <!-- Create an unordered list (bullet point) -->
		 <ul>
		 	<!-- Create the list item -->
		 	<li>Languages</li>
			 	<!-- Nested unordered list-->
			 	<ul>
			 		<li>HTML</li>
					<li>CSS</li>
			 		<li>JavaScript</li>
			 	</ul>

		 	<li>Frameworks & Libraries</li>
			 	<!-- Create an ordered list (numbered point) -->
			 	<ol>
			 		<li>Bootstrap</li>
			 		<li>Express.js</li>
			 		<li>React.js</li>
			 	</ol>

		 	<li>Tools</li>
		 		<ol>
		 			<li>Git</li>
					<li>Gitlab</li>
					<li>Sublime Text 3</li>
					<li>Postman</li>
		 			<li>Others</li>
		 				<ul>
		 					<li>MongoDB</li>
		 					<li>Robo 3T</li>
		 				</ul>
		 		</ol>


		 </ul>

		 <!-- Closing Paragraph -->
		 <p>
		 	There is a lot to learn in this bootcamp. It may look overwhelming at the beginning, but it's all worth it when you graduate!
		 </p>
	</body>
</html>